package net.waltzstudio.montecarlo.dao.activity;

import static org.seasar.extension.jdbc.operation.Operations.*;
import java.util.List;
import net.waltzstudio.base.framework.dao.AuditDao;
import net.waltzstudio.base.framework.types.DeleteFlg;
import net.waltzstudio.montecarlo.entity.activity.Activity;
import net.waltzstudio.montecarlo.entity.activity.ActivityName;

/**
 * アクティビティDaoBase
 */
public abstract class ActivityDaoBase extends AuditDao<Activity> implements ActivityName {

	public Activity findById(Long id) {
		return select().id(id).where(eq($DELETE_FLG, DeleteFlg.NORMAL)).getSingleResult();
	}

	public List<Activity> findAllOrderById() {
		return select().where(eq($DELETE_FLG, DeleteFlg.NORMAL)).orderBy(asc($ID)).getResultList();
	}

}
